Update a Parking User
curl --request PATCH \
--url https://fleet.staging.ezprk.dev/api/billing-accounts/{baId}/parking-users/{puId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"firstName": "<string>",
"lastName": "<string>",
"email": "jsmith@example.com",
"phoneNumber": "<string>",
"costCenter": "<string>",
"city": "<string>",
"street": "<string>",
"postalCode": "<string>",
"co": "<string>"
}
'import requests
url = "https://fleet.staging.ezprk.dev/api/billing-accounts/{baId}/parking-users/{puId}"
payload = {
"firstName": "<string>",
"lastName": "<string>",
"email": "jsmith@example.com",
"phoneNumber": "<string>",
"costCenter": "<string>",
"city": "<string>",
"street": "<string>",
"postalCode": "<string>",
"co": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
firstName: '<string>',
lastName: '<string>',
email: 'jsmith@example.com',
phoneNumber: '<string>',
costCenter: '<string>',
city: '<string>',
street: '<string>',
postalCode: '<string>',
co: '<string>'
})
};
fetch('https://fleet.staging.ezprk.dev/api/billing-accounts/{baId}/parking-users/{puId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"type": "https://developer.easyparkgroup.com/openapi/fleet/overview/",
"title": "Forbidden",
"status": 403,
"detail": "Access denied",
"instance": "/api/billing-accounts",
"timestamp": 1771232045624,
"traceId": "55a47f36-cea3-4b01-92b6-8295c02ac302"
}{
"type": "https://developer.easyparkgroup.com/openapi/fleet/overview/",
"title": "Forbidden",
"status": 403,
"detail": "Access denied",
"instance": "/api/billing-accounts",
"timestamp": 1771232045624,
"traceId": "55a47f36-cea3-4b01-92b6-8295c02ac302"
}{
"type": "https://developer.easyparkgroup.com/openapi/fleet/overview/",
"title": "Forbidden",
"status": 403,
"detail": "Access denied",
"instance": "/api/billing-accounts",
"timestamp": 1771232045624,
"traceId": "55a47f36-cea3-4b01-92b6-8295c02ac302"
}{
"type": "https://developer.easyparkgroup.com/openapi/fleet/overview/",
"title": "Forbidden",
"status": 403,
"detail": "Access denied",
"instance": "/api/billing-accounts",
"timestamp": 1771232045624,
"traceId": "55a47f36-cea3-4b01-92b6-8295c02ac302"
}{
"type": "https://developer.easyparkgroup.com/openapi/fleet/overview/",
"title": "Forbidden",
"status": 403,
"detail": "Access denied",
"instance": "/api/billing-accounts",
"timestamp": 1771232045624,
"traceId": "55a47f36-cea3-4b01-92b6-8295c02ac302"
}Authorizations
You can get the JWT from the Login endpoint
Path Parameters
Billing account ID
Parking user ID
Body
Request body to update a Parking User. All fields are optional; an omitted or blank field leaves the existing value unchanged. Fields cannot be cleared through this endpoint.
Valid email address
Starts with + followed by digits only
^\+\d{7,15}$Cost center associated with the Parking User
City for the delivery address
Street for the delivery address
Postal code for the delivery address
c/o, stands for "care of", used when the mail needs to go through an intermediary person/entity
Account status. ACTIVE: the parking user can park and is billed. INACTIVE: the parking user cannot park, is not billed, and can be reactivated. CLOSED: the parking user cannot park, is not billed, and cannot be reactivated. CLOSED is not a valid target status for this endpoint. Setting status to INACTIVE immediately prevents the parking user from parking and stops billing them. Setting status back to ACTIVE immediately resumes parking and normal billing, with no back-charge for the time the parking user was INACTIVE
ACTIVE, INACTIVE Response
Parking User updated successfully
